## mariadb 12.0.2+maria~ubu2004

=== debian/changelog ===
mariadb (1:12.0.2+maria~ubu2004) focal; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Tue, 29 Jul 2025 17:55:04 +0000

=== debian/control ===
Source: mariadb
Section: database
Priority: optional
Maintainer: MariaDB Developers <developers@lists.mariadb.org>
Build-Depends: bison,
               cmake,
               cracklib-runtime <!nocheck>,
               debhelper (>= 11),
               default-jdk,
               dh-exec,
               flex [amd64 arm64],
               gdb <!nocheck>,
               libaio-dev [linux-any],
               libboost-atomic-dev [amd64 arm64],
               libboost-chrono-dev [amd64 arm64],
               libboost-date-time-dev [amd64 arm64],
               libboost-dev,
               libboost-filesystem-dev [amd64 arm64],
               libboost-regex-dev [amd64 arm64],
               libboost-system-dev [amd64 arm64],
               libboost-thread-dev [amd64 arm64],
               libbz2-dev,
               libcrack2-dev (>= 2.9.0),
               libcurl4-openssl-dev | libcurl4-dev,
               libedit-dev,
               libedit-dev:native,
               libjemalloc-dev [linux-any],
               libjudy-dev,
               libkrb5-dev,
               liblz4-dev,
               liblzma-dev,
               liblzo2-dev,
               libncurses-dev,
               libnuma-dev [linux-any],
               libpam0g-dev,
               libpcre2-dev,
               libsnappy-dev,
               libssl-dev,
               libssl-dev:native,
               libsystemd-dev [linux-any],
               libxml2-dev,
               libzstd-dev (>= 1.1.3),
               lsb-release,
               perl:any,
               po-debconf,
               psmisc,
               unixodbc-dev,
               uuid-dev,
               zlib1g-dev (>= 1:1.1.3-5~)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://mariadb.org/
Vcs-Browser: https://github.com/MariaDB/server/
Vcs-Git: https://github.com/MariaDB/server.git

Package: libmariadb-dev
Architecture: any
Section: libdevel
Depends: libmariadb3 (= ${binary:Version}),
         libssl-dev,
         zlib1g-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libmariadb-dev-compat (<< 3.0.0),
           libmariadbclient-dev,
           libmariadbclient16-dev
Provides: libmariadbclient-dev
Breaks: libmariadb-client-lgpl-dev,
        libmysqlclient-dev (<< ${source:Version}),
        libmysqld-dev (<< ${source:Version})
Replaces: libmariadb-client-lgpl-dev,
          libmariadb-dev-compat (<< 3.0.0),
          libmariadbclient-dev,
          libmysqlclient-dev (<< ${source:Version}),
          libmysqld-dev (<< ${source:Version})
Description: MariaDB database development files
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes development libraries and header files to allow sources
 expecting the MariaDB Connector/C to build. Sources that expect the MySQL
 client libraries should use files from the libmariadb-dev-compat package.

Package: libmariadb-dev-compat
Architecture: any
Section: libdevel
Depends: libmariadb-dev (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libmariadb-client-lgpl-dev,
           libmariadb-client-lgpl-dev-compat,
           libmariadbclient-dev (<< ${source:Version}),
           libmariadbclient-dev-compat,
           libmysqlclient-dev,
           libmysqlclient10-dev,
           libmysqlclient12-dev,
           libmysqlclient14-dev,
           libmysqlclient15-dev,
           libmysqlclient16-dev
Provides: libmariadb-client-lgpl-dev-compat,
          libmariadbclient-dev-compat,
          libmysqlclient-dev
Breaks: libmariadb-dev (<< ${source:Version})
Replaces: libmariadb-client-lgpl-dev,
          libmariadb-client-lgpl-dev-compat,
          libmariadb-dev (<< ${source:Version}),
          libmariadbclient-dev (<< ${source:Version}),
          libmariadbclient-dev-compat,
          libmysqlclient-dev
Description: MariaDB Connector/C, compatibility symlinks
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes compatibility symlinks to allow sources expecting the
 MySQL client libraries to be built against MariaDB Connector/C.

Package: libmariadb3
Architecture: any
Multi-Arch: same
Section: libs
Depends: mariadb-common,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libmariadbclient18 (<< 10.2.0),
           mariadb-galera-server-10.0,
           mariadb-galera-server-5.5,
           mariadb-server-10.0,
           mariadb-server-5.1,
           mariadb-server-5.2,
           mariadb-server-5.3,
           mariadb-server-5.5
Breaks: libmariadbclient18 (<< ${source:Version})
Replaces: libmariadbclient18 (<< ${source:Version})
Description: MariaDB database client library
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the client library.

Package: libmariadb3-compat
Architecture: any
Section: libs
Depends: libmariadb3,
         mariadb-common,
         ${misc:Depends}
Breaks: libmysqlclient19,
        libmysqlclient20,
        libmysqlclient21
Replaces: libmysqlclient19,
          libmysqlclient20,
          libmysqlclient21
Provides: libmysqlclient19,
          libmysqlclient20,
          libmysqlclient21
Description: MariaDB database client library MySQL compat package
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the client runtime libraries that simulate and replace
 the equivalents found in MySQL 5.6, 5.7 and 8.0 (mysqlclient19, 20 and 21).

Package: libmariadbclient18
Section: libs
Architecture: any
Depends: libmariadb3 (= ${binary:Version}),
         ${misc:Depends}
Replaces: libmariadbclient18
Provides: libmariadbclient18
Description: Virtual package to satisfy external libmariadbclient18 depends
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package provides compatibility symlinks for binaries that expect to find
 libmariadbclient.so.18 will automatically use libmariadb.so.3 instead.

Package: libmysqlclient18
Section: libs
Architecture: any
Depends: libmariadb3 (= ${binary:Version}),
         ${misc:Depends}
Replaces: libmysqlclient18
Provides: libmysqlclient18
Description: Virtual package to satisfy external libmysqlclient18 depends
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package provides compatibility symlinks for binaries that expect to find
 libmysqlclient.so.18 will automatically use libmariadb.so.3 instead.

Package: libmariadbd19
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmariadbd-dev (<< ${source:Version})
Conflicts: libmariadbd19t64
Replaces: libmariadbd-dev (<< ${source:Version})
Multi-Arch: same
Description: MariaDB embedded database, shared library
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes a shared library for embedded MariaDB applications.

Package: libmariadbd-dev
Architecture: any
Section: libdevel
Provides: libmysqld-dev
Pre-Depends: ${misc:Pre-Depends}
Depends: libmariadb-dev (= ${binary:Version}),
         libmariadbd19 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libmariadb-dev (<< ${source:Version}),
        libmariadbclient-dev (<< ${source:Version}),
        libmysqld-dev
Replaces: libmariadb-dev (<< ${source:Version}),
          libmariadbclient-dev (<< ${source:Version}),
          libmysqld-dev
Description: MariaDB embedded database, development files package
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the MariaDB embedded server library development
 and header files.

Package: mysql-common
Architecture: all
Depends: ${misc:Depends}
Description: MariaDB client common configuration files package (e.g. /etc/mysql/my.cnf)
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes files needed by all versions of the client library
 (e.g. /etc/mysql/my.cnf).

Package: mariadb-common
Architecture: all
Depends: mysql-common (>= 5.6.25),
         ${misc:Depends}
Multi-Arch: foreign
Description: MariaDB database common files (e.g. /etc/mysql/mariadb.conf.d/)
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes configuration files common to all MariaDB programs.

Package: mariadb-client-core
Architecture: any
Depends: libmariadb3 (>= 10.5.4),
         mariadb-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: mariadb-client-10.0,
           mariadb-client-10.1,
           mariadb-client-10.2,
           mariadb-client-10.3,
           mariadb-client-10.4,
           mariadb-client-10.5,
           mariadb-client-10.6,
           mariadb-client-10.7,
           mariadb-client-10.8,
           mariadb-client-5.1,
           mariadb-client-5.2,
           mariadb-client-5.3,
           mariadb-client-5.5,
           mariadb-client-core-10.0,
           mariadb-client-core-10.1,
           mariadb-client-core-10.2,
           mariadb-client-core-10.3,
           mariadb-client-core-10.4,
           mariadb-client-core-10.5,
           mariadb-client-core-10.6,
           mariadb-client-core-10.7,
           mariadb-client-core-10.8,
           mariadb-client-core-5.1,
           mariadb-client-core-5.2,
           mariadb-client-core-5.3,
           mariadb-client-core-5.5,
           mysql-client (<< 5.0.51),
           mysql-client-5.0,
           mysql-client-5.1,
           mysql-client-5.5,
           mysql-client-core-5.1,
           mysql-client-core-5.5,
           mysql-client-core-5.6,
           mysql-client-core-5.7,
           mysql-client-core-8.0,
           virtual-mysql-client-core
Breaks: mariadb-client (<< ${source:Version}),
        mariadb-server-10.0,
        mariadb-server-10.1,
        mariadb-server-core (<< ${source:Version}),
        mariadb-server-core-10.0,
        mariadb-server-core-10.1,
        mariadb-server-core-10.2,
        mariadb-server-core-10.3,
        mariadb-server-core-10.4,
        mariadb-server-core-10.5,
        mariadb-server-core-10.6,
        mariadb-server-core-10.7,
        mariadb-server-core-10.8,
        mysql-cluster-community-client-plugins,
        mysql-server-core-5.5,
        mysql-server-core-5.6,
        mysql-server-core-5.7,

=== debian/rules ===
#!/usr/bin/make -f

# Enable Debian Hardening
# https://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# LTO is generally enabled. Only ColumnStore doesn't support it (MCOL-5819)
# and disables it in storage/columnstore/CMakeLists.txt

DPKG_EXPORT_BUILDFLAGS = 1
# Include all defaults, including buildflags.mk
include /usr/share/dpkg/default.mk

# CPPFLAGS are nor read by CMake, so copy them to CXXFLAGS
# See why at https://cmake.org/Bug/view.php?id=12928
# This is needed for e.g. all automatic Debian hardening flags to apply on all cmake builds.
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# Only do a strict symbol checking on Linux
# https://manpages.debian.org/testing/dpkg-dev/dpkg-gensymbols.1.en.html
# Level 4: Fails if some libraries have been introduced.
ifneq (,$(filter linux,$(DEB_HOST_ARCH_OS)))
    export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
endif

BUILDDIR := builddir
DEB_VERSION_REVISION := $(shell echo $(DEB_VERSION) | sed -e 's/.*[~-]\(.*\)/\1/')
DEB_VERSION_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/^.*:\(.*\)\(-\|+\).*/\1/')
DEB_VERSION_MAJOR := $(shell echo $(DEB_VERSION_VERSION) | sed -e 's/^\(.*\)\..*$$/\1/')
RELEASE := $(shell lsb_release -r -s) # Use changelog based DEB_DISTRIBUTION instead?
TMP := $(CURDIR)/debian/tmp
MTR_SKIP_TEST_LIST := $(shell mktemp)

# According to Debian Policy version 4.2.0 builds should be as verbose as
# possible unless 'terse' is specifically passed.
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
    export DH_VERBOSE=1
endif

# Parallel build support as advised
# at https://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules-options
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
else
    # NUMJOBS cannot be empty as it is used as a parameter to mtr, default to 'auto'.
    NUMJOBS = auto
endif

# RocksDB cannot build on 32-bit platforms
ifeq (32,$(DEB_HOST_ARCH_BITS))
    CMAKEFLAGS += -DPLUGIN_ROCKSDB=NO
endif

# Add support for verbose builds
MAKEFLAGS += VERBOSE=1

override_dh_auto_clean:
	@echo "RULES.$@"
	dh_testdir
	dh_testroot
	rm -rf $(BUILDDIR) builddir-native mysql-test/unstable-tests
	debconf-updatepo # Update po-files when clean runs before each build

override_dh_auto_configure:
	@echo "RULES.$@"
	dh_testdir

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_configure --builddirectory=builddir-native --reload-all-buildenv-variables
	dh_auto_build --builddirectory=builddir-native -- import_executables
endif

	echo "server:Version=$(DEB_VERSION)" >> debian/substvars

	# As packages does not have major version any more in package name there is no
	# way as it not set by dpkg to use this on postinst script. Use sed to
	# determine major version instead.
	# @TODO: Rewrite this to use the new upstream /var/lib/mysql_upgrade_info file
	# instead of the legacy /var/lib/debian-XX.X.flag file
	sed -i 's/__MARIADB_MAJOR_VER__/$(DEB_VERSION_MAJOR)/g' debian/mariadb-server.post* debian/mariadb-server.preinst

	# Don't build ColumnStore as part of the native build as it does not meet the
	# quality standards in Debian. Also building it requires an extra 4 GB of disk
	# space which makes native Debian builds fail as the total disk space needed
	# for MariaDB becomes over 10 GB. Only build CS via autobake-deb.sh.
	PATH=$${MYSQL_BUILD_PATH:-"/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin"} \
	    dh_auto_configure --builddirectory=$(BUILDDIR) -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
	    $(CMAKEFLAGS) \
	    $(if $(filter $(DEB_BUILD_ARCH),$(DEB_HOST_ARCH)),,-DIMPORT_EXECUTABLES=$(CURDIR)/builddir-native/import_executables.cmake) \
	    -DCOMPILATION_COMMENT="mariadb.org binary distribution" \
	    -DMYSQL_SERVER_SUFFIX="-$(DEB_VERSION_REVISION)" \
	    -DSYSTEM_TYPE="debian-$(DEB_HOST_GNU_SYSTEM)" \
	    -DBUILD_CONFIG=mysql_release \
	    -DCONC_DEFAULT_CHARSET=utf8mb4 \
	    -DPLUGIN_AWS_KEY_MANAGEMENT=NO \
	    -DIGNORE_AIO_CHECK=ON \
	    -DWITH_LIBAIO=ON \
	    -DDEB=$(DEB_VENDOR)

# This is needed, otherwise 'make test' will run before binaries have been built
override_dh_auto_build:
	@echo "RULES.$@"
	# Print build env info to help debug builds on different platforms
	dpkg-architecture
	cd $(BUILDDIR) && $(MAKE) --output-sync=target

override_dh_auto_test:
	@echo "RULES.$@"
	dh_testdir
	# Skip running test suite after build if DEB_BUILD_OPTIONS contains 'nocheck'
	@echo "DEB_BUILD_OPTIONS: $(DEB_BUILD_OPTIONS)"
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Skip unstable tests if such are defined for arch
	[ ! -f debian/unstable-tests.$(DEB_HOST_ARCH) ] || cat debian/unstable-tests.$(DEB_HOST_ARCH) >> $(MTR_SKIP_TEST_LIST)
	# Show contents of skip list on this architecture
	@echo "On architecture $(DEB_HOST_ARCH) skip tests:"
	cat $(MTR_SKIP_TEST_LIST)
	# Run testsuite
	cd $(BUILDDIR)/mysql-test && \
	export MTR_PRINT_CORE=detailed && \
	./mtr --force --testcase-timeout=120 --suite-timeout=540 --retry=3 \
	      --verbose-restart --max-save-core=1 --max-save-datadir=1 \
	      --parallel=$(NUMJOBS) --skip-rpl --suite=main \
	      --skip-test-list=$(MTR_SKIP_TEST_LIST)
	# Don't use --mem here as official Debian builders and most Docker systems don't have a large mem device available and
	# would fail with errors on lack of disk space.
endif

override_dh_auto_install:
	@echo "RULES.$@"
	dh_testdir
	dh_testroot

	# Run 'make install' without output since it is uninteresting and
	# silencing it helps to make overall build log shorter and more readable
	@echo "Running $(MAKE) install DESTDIR=$(TMP) ..."
	cd $(BUILDDIR) && $(MAKE) install DESTDIR=$(TMP) > /dev/null

	# If mariadb-test package is removed, also remove most of it's files
	grep --quiet "Package: mariadb-test" debian/control || rm -rf $(TMP)/usr/share/mariadb/mariadb-test

	# Delete private files from libraries so they don't get shipped in the -dev packages
	rm -r $(TMP)/usr/include/mariadb/server/private

	# Don't ship sql-bench at all, just delete it completely even though it builds
	rm -r $(TMP)/usr/sql-bench

	# nm numeric soft is not enough, therefore extra sort in command
	# to satisfy Debian reproducible build requirements
	mkdir -p $(TMP)/usr/share/doc/mariadb-server
	nm --defined-only $(BUILDDIR)/sql/mariadbd | LC_ALL=C sort | gzip -n -9 > $(TMP)/usr/share/doc/mariadb-server/mariadbd.sym.gz

	# Rename and install AppArmor profile
	install -D -m 644 debian/apparmor-profile $(TMP)/etc/apparmor.d/usr.sbin.mariadbd

	# Rename mariadb.pc as mariadb-embedded-server.pc as to be more descriptive
	mv -v $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/mariadb.pc $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/mariadb-embedded-server.pc
	# Keep libmariadbd.pc around for backwards compatibility as all Debian users
	# have had it for embedded server since April 2021
	ln -sf mariadb-embedded-server.pc $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libmariadbd.pc

	# Rename libmariadb.pc as mariadb.pc as it better fits the client library,
	# and keep old libmariadb.pc as symlink for backwards compatibility
	mv -v $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libmariadb.pc $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/mariadb.pc
	ln -sf mariadb.pc $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libmariadb.pc

	# Install libmariadbclient18 compatibility links
	ln -s libmariadb.so.3 $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/libmariadbclient.so
	ln -s libmariadb.so.3 $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/libmariadbclient.so.18

	# Install libmysqlclientclientXX compatibility links
	ln -s libmariadb.so.3 $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/libmysqlclient.so.18
	ln -s libmariadb.so.3 $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/libmysqlclient.so.19
	ln -s libmariadb.so.3 $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/libmysqlclient.so.20

	# Install libmariadbclient.a compatibility link
	ln -s libmariadb.a $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/libmariadbclient.a

## mariadb 12.0.2+maria~ubu2204

=== debian/changelog ===
mariadb (1:12.0.2+maria~ubu2204) jammy; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Tue, 29 Jul 2025 17:55:03 +0000

## mariadb 12.0.2+maria~ubu2404

=== debian/changelog ===
mariadb (1:12.0.2+maria~ubu2404) noble; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Thu, 31 Jul 2025 19:03:19 +0000

## mariadb 12.0.2+maria~ubu2410

=== debian/changelog ===
mariadb (1:12.0.2+maria~ubu2410) oracular; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Thu, 31 Jul 2025 21:32:21 +0000

## mariadb 12.0.2+maria~ubu2504

=== debian/changelog ===
mariadb (1:12.0.2+maria~ubu2504) plucky; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Thu, 31 Jul 2025 19:48:37 +0000

## mariadb 12.1.1+maria~deb11

=== debian/changelog ===
mariadb (1:12.1.1+maria~deb11) bullseye; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Mon, 04 Aug 2025 15:26:54 -0400

mariadb (1:12.1.0) unstable; urgency=medium

  * Initial Release

 -- Sergei Golubchik <serg@mariadb.org> Mon Apr 28 10:19:29 CEST 2025

## mariadb 12.1.1+maria~deb12

=== debian/changelog ===
mariadb (1:12.1.1+maria~deb12) bookworm; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Mon, 04 Aug 2025 15:26:53 -0400

## mariadb 12.1.1+maria~deb13

=== storage/columnstore/columnstore/dbcon/ddlpackage/CMakeLists.txt ===
include_directories(${ENGINE_COMMON_INCLUDES})

find_package(BISON REQUIRED)
bison_target(
    ddl_gram ddl.y ${CMAKE_CURRENT_BINARY_DIR}/ddl-gram.cpp
    DEFINES_FILE ${CMAKE_CURRENT_BINARY_DIR}/ddl-gram.h
    COMPILE_FLAGS "-l -p ddl --defines=${CMAKE_CURRENT_BINARY_DIR}/ddl-gram.h"
)

find_package(FLEX REQUIRED)
flex_target(ddl_scan ddl.l ${CMAKE_CURRENT_BINARY_DIR}/ddl-scan.cpp COMPILE_FLAGS "-i -L -Pddl")
add_flex_bison_dependency(ddl_scan ddl_gram)

set_source_files_properties(
    ddl-scan.cpp PROPERTIES COMPILE_FLAGS "-Wno-register -Wno-deprecated-register -Wno-sign-compare -DYY_NO_INPUT"
)
set_source_files_properties(ddl-gram.cpp PROPERTIES COMPILE_FLAGS "-Wno-unused-but-set-variable")
# ########## next target ###############

include_directories(${CMAKE_CURRENT_BINARY_DIR}) # to pick up flex/bison output
columnstore_library(
    ddlpackage
    serialize.cpp
    ddl-scan.cpp
    ddl-gram.cpp
    ddlpkg.cpp
    columndef.cpp
    createtable.cpp
    tabledef.cpp
    sqlstatement.cpp
    sqlstatementlist.cpp
    altertable.cpp
    createindex.cpp
    dropindex.cpp
    droptable.cpp
    sqlparser.cpp
    markpartition.cpp
    restorepartition.cpp
    droppartition.cpp
    debugstatement.cpp
    ${BISON_ddl_gram_OUTPUTS}
    ${FLEX_ddl_scan_OUTPUTS}
)

columnstore_link(ddlpackage loggingcpp messageqcpp)

=== debian/changelog ===
mariadb (1:12.1.1+maria~deb13) trixie; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Mon, 04 Aug 2025 22:48:54 +0000

## mariadb 12.1.1+maria~ubu2204

=== sql/CMakeLists.txt ===
# Copyright (c) 2006, 2014, Oracle and/or its affiliates.
# Copyright (c) 2010, 2022, MariaDB Corporation.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1335 USA


IF(WITH_WSREP AND NOT EMBEDDED_LIBRARY)
  SET(WSREP_SOURCES
    wsrep_client_service.cc
    wsrep_high_priority_service.cc
    wsrep_server_service.cc
    wsrep_storage_service.cc
    wsrep_server_state.cc
    wsrep_event_service.cc
    wsrep_status.cc
    wsrep_allowlist_service.cc
    wsrep_utils.cc
    wsrep_xid.cc
    wsrep_check_opts.cc
    wsrep_mysqld.cc
    wsrep_notify.cc
    wsrep_sst.cc
    wsrep_var.cc
    wsrep_binlog.cc
    wsrep_applier.cc
    wsrep_thd.cc
    wsrep_schema.cc
    wsrep_plugin.cc
    service_wsrep.cc
    )
  MYSQL_ADD_PLUGIN(wsrep_provider ${WSREP_SOURCES} DEFAULT NOT_EMBEDDED LINK_LIBRARIES wsrep-lib wsrep_api_v26)
  MYSQL_ADD_PLUGIN(wsrep ${WSREP_SOURCES} MANDATORY NOT_EMBEDDED LINK_LIBRARIES wsrep-lib wsrep_api_v26)
  IF(VISIBILITY_HIDDEN_FLAG AND TARGET wsrep)
    # wsrep_info plugin needs some wsrep symbols from inside mysqld
    # we have to remove -fvisibility=hidden from wsrep
    GET_TARGET_PROPERTY(f wsrep COMPILE_FLAGS)
    STRING(REPLACE "${VISIBILITY_HIDDEN_FLAG}" "" f ${f})
    SET_TARGET_PROPERTIES(wsrep PROPERTIES COMPILE_FLAGS "${f}")
  ENDIF()
ELSE()
  ADD_LIBRARY(wsrep STATIC wsrep_dummy.cc)
  ADD_DEPENDENCIES(wsrep GenError)
ENDIF()

INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/include
${CMAKE_SOURCE_DIR}/sql
${LIBFMT_INCLUDE_DIR}
${PCRE_INCLUDE_DIRS}
${ZLIB_INCLUDE_DIRS}
${SSL_INCLUDE_DIRS}
${CMAKE_BINARY_DIR}/sql
)

ADD_CUSTOM_COMMAND(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/lex_token.h
  COMMAND gen_lex_token > lex_token.h
  DEPENDS gen_lex_token
)

FIND_PACKAGE(BISON 2.4)

ADD_CUSTOM_COMMAND(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/yy_mariadb.yy
         ${CMAKE_CURRENT_BINARY_DIR}/yy_oracle.yy
  COMMAND ${CMAKE_COMMAND} "-DVAL1=ORACLE" "-DVAL2=MARIADB"
   "-DOUT1=${CMAKE_CURRENT_BINARY_DIR}/yy_oracle.yy"
   "-DOUT2=${CMAKE_CURRENT_BINARY_DIR}/yy_mariadb.yy"
   "-DIN=${CMAKE_CURRENT_SOURCE_DIR}/sql_yacc.yy"
    "-DBISON_VERSION=${BISON_VERSION}"
   -P ${CMAKE_CURRENT_SOURCE_DIR}/gen_yy_files.cmake
  COMMENT "Building yy_mariadb.yy and yy_oracle.yy from sql_yacc.yy"
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/sql_yacc.yy
          ${CMAKE_CURRENT_SOURCE_DIR}/gen_yy_files.cmake
)

ADD_DEFINITIONS(-DMYSQL_SERVER -DHAVE_EVENT_SCHEDULER)

IF(SSL_DEFINES)
 ADD_DEFINITIONS(${SSL_DEFINES})
ENDIF()

SET (SQL_SOURCE
               ${CMAKE_CURRENT_BINARY_DIR}/yy_mariadb.cc
               ${CMAKE_CURRENT_BINARY_DIR}/yy_oracle.cc
              ../sql-common/client.c
               cset_narrowing.cc
               compat56.cc derror.cc des_key_file.cc
               discover.cc ../sql-common/errmsg.c
               field.cc field_conv.cc field_comp.cc
               filesort_utils.cc
               filesort.cc gstream.cc
               signal_handler.cc
               handler.cc item_vectorfunc.cc
               hostname.cc init.cc item.cc item_buff.cc item_cmpfunc.cc
               item_create.cc item_func.cc item_geofunc.cc item_row.cc
               item_strfunc.cc item_subselect.cc item_sum.cc item_timefunc.cc
               key.cc log.cc log_cache.cc lock.cc
               log_event.cc log_event_server.cc
               rpl_record.cc rpl_reporting.cc
               mf_iocache.cc my_decimal.cc
               mysqld.cc net_serv.cc  keycaches.cc
               ../sql-common/client_plugin.c
               opt_range.cc vector_mhnsw.cc
               opt_group_by_cardinality.cc
               opt_rewrite_date_cmp.cc
               opt_rewrite_remove_casefold.cc
               opt_sargable_left.cc
               opt_sum.cc
               opt_vcol_substitution.cc
               ../sql-common/pack.c parse_file.cc password.c procedure.cc
               protocol.cc records.cc repl_failsafe.cc rpl_filter.cc
               session_tracker.cc
               set_var.cc
               slave.cc sp.cc sp_cache.cc sp_head.cc sp_pcontext.cc
               sp_rcontext.cc sp_cursor.cc
               spatial.cc sql_acl.cc sql_analyse.cc sql_base.cc
               sql_cache.cc sql_class.cc sql_client.cc sql_crypt.cc
               sql_cursor.cc sql_db.cc sql_delete.cc sql_derived.cc
               sql_digest.cc sql_do.cc
               sql_error.cc sql_handler.cc sql_get_diagnostics.cc
               sql_help.cc sql_insert.cc sql_lex.cc
               sql_list.cc sql_load.cc sql_manager.cc
               sql_oracle_outer_join.cc
               sql_parse.cc sql_bootstrap.cc
               sql_partition.cc sql_plugin.cc sql_prepare.cc sql_rename.cc
               debug_sync.cc debug.cc
               sql_repl.cc sql_select.cc sql_show.cc sql_state.c
               group_by_handler.cc derived_handler.cc select_handler.cc
               sql_statistics.cc sql_string.cc lex_string.h
               sql_table.cc sql_test.cc sql_trigger.cc sql_udf.cc sql_union.cc
               ddl_log.cc ddl_log.h
               sql_update.cc sql_view.cc strfunc.cc table.cc thr_malloc.cc
               sql_time.cc tztime.cc unireg.cc item_xmlfunc.cc
               uniques.cc
               rpl_tblmap.cc sql_binlog.cc event_scheduler.cc
               event_data_objects.cc
               event_queue.cc event_db_repository.cc
               events.cc ../sql-common/my_user.c
               partition_info.cc rpl_utility.cc rpl_utility_server.cc
               rpl_injector.cc sql_locale.cc
               rpl_rli.cc rpl_mi.cc sql_servers.cc sql_audit.cc
               sql_connect.cc scheduler.cc sql_partition_admin.cc
               sql_profile.cc event_parse_data.cc sql_alter.cc
               sql_signal.cc mdl.cc sql_admin.cc
               transaction.cc sys_vars.cc sql_truncate.cc datadict.cc
               sql_reload.cc

               # added in MariaDB:
               grant.cc
               sql_explain.cc
               sql_analyze_stmt.cc
               sql_join_cache.cc
               create_options.cc multi_range_read.cc
               opt_histogram_json.cc
               opt_index_cond_pushdown.cc opt_subselect.cc
               opt_table_elimination.cc sql_expression_cache.cc
               gcalc_slicescan.cc gcalc_tools.cc
               my_apc.cc mf_iocache_encr.cc item_jsonfunc.cc
               my_json_writer.cc json_schema.cc json_schema_helper.cc
               rpl_gtid.cc gtid_index.cc rpl_parallel.cc
               semisync.cc semisync_master.cc semisync_slave.cc
               semisync_master_ack_receiver.cc
               sp_instr.cc
               sql_schema.cc
               lex_charset.cc charset_collations.cc
               sql_type.cc sql_mode.cc sql_type_json.cc
               sql_type_string.cc
               sql_type_geom.cc sql_type_vector.cc
               item_windowfunc.cc sql_window.cc
	       sql_cte.cc
               item_vers.cc
               sql_sequence.cc sql_sequence.h ha_sequence.h
               sql_tvc.cc sql_tvc.h
               opt_split.cc
               rowid_filter.cc rowid_filter.h
               optimizer_costs.h optimizer_defaults.h
               opt_trace.cc
               opt_trace_ddl_info.cc
               table_cache.cc encryption.cc temporary_tables.cc
               json_table.cc
               proxy_protocol.cc backup.cc xa.cc
               socketpair.c socketpair.h
               opt_vcol_substitution.h
               opt_vcol_substitution.cc
               opt_hints_parser.cc opt_hints_parser.h scan_char.h
               opt_hints.cc opt_hints.h
               sql_type_row.cc
               sql_type_composite.cc sql_type_composite.h
               item_composite.cc item_composite.h
               ${CMAKE_CURRENT_BINARY_DIR}/lex_hash.h
               ${CMAKE_CURRENT_BINARY_DIR}/lex_token.h
               ${GEN_SOURCES}
               ${MYSYS_LIBWRAP_SOURCE}
)

MY_CHECK_CXX_COMPILER_FLAG(-Wno-unused-but-set-variable)
IF(have_CXX__Wno_unused_but_set_variable)
  ADD_COMPILE_FLAGS(${CMAKE_CURRENT_BINARY_DIR}/yy_mariadb.cc
    ${CMAKE_CURRENT_BINARY_DIR}/yy_oracle.cc
    COMPILE_FLAGS "-Wno-unused-but-set-variable")
ENDIF()

IF ((CMAKE_SYSTEM_NAME MATCHES "Linux" OR
     CMAKE_SYSTEM_NAME MATCHES "SunOS" OR
     WIN32 OR
     HAVE_KQUEUE)
    AND (NOT DISABLE_THREADPOOL))
 ADD_DEFINITIONS(-DHAVE_POOL_OF_THREADS)
 IF(WIN32)
   SET(SQL_SOURCE ${SQL_SOURCE} threadpool_win.cc threadpool_winsockets.cc threadpool_winsockets.h)
 ENDIF()
 SET(SQL_SOURCE ${SQL_SOURCE} threadpool_generic.cc)
 SET(SQL_SOURCE ${SQL_SOURCE} threadpool_common.cc)
 MYSQL_ADD_PLUGIN(thread_pool_info thread_pool_info.cc DEFAULT STATIC_ONLY NOT_EMBEDDED)
ENDIF()

IF(WIN32)
  SET(SQL_SOURCE ${SQL_SOURCE} handle_connections_win.cc winmain.cc)
ENDIF()

MYSQL_ADD_PLUGIN(partition ha_partition.cc STORAGE_ENGINE DEFAULT STATIC_ONLY
RECOMPILE_FOR_EMBEDDED)
MYSQL_ADD_PLUGIN(sql_sequence ha_sequence.cc STORAGE_ENGINE MANDATORY STATIC_ONLY
RECOMPILE_FOR_EMBEDDED)
MYSQL_ADD_PLUGIN(online_alter_log online_alter.cc STORAGE_ENGINE MANDATORY
STATIC_ONLY NOT_EMBEDDED)


ADD_LIBRARY(sql STATIC ${SQL_SOURCE})
MAYBE_DISABLE_IPO(sql)
DTRACE_INSTRUMENT(sql)
TARGET_LINK_LIBRARIES(sql
  mysys mysys_ssl dbug strings vio pcre2-8
  tpool
  online_alter_log
  ${LIBWRAP} ${LIBCRYPT} ${CMAKE_DL_LIBS} ${CMAKE_THREAD_LIBS_INIT}
  ${SSL_LIBRARIES}
  ${LIBSYSTEMD})
IF(TARGET pcre2)
  ADD_DEPENDENCIES(sql pcre2)
ENDIF()

FOREACH(se aria partition perfschema sql_sequence wsrep)
  # These engines are used directly in sql sources.
  IF(TARGET ${se})
    TARGET_LINK_LIBRARIES(sql ${se})
  ENDIF()
ENDFOREACH()

IF(VISIBILITY_HIDDEN_FLAG AND TARGET partition AND WITH_UBSAN)
  # the spider plugin needs some partition symbols from inside mysqld
  # when built with ubsan, in which case we need to remove
  # -fvisibility=hidden from partition
  GET_TARGET_PROPERTY(f partition COMPILE_FLAGS)
  STRING(REPLACE "${VISIBILITY_HIDDEN_FLAG}" "" f ${f})
  SET_TARGET_PROPERTIES(partition PROPERTIES COMPILE_FLAGS "${f}")
ENDIF()

IF(WIN32)
  SET(MYSQLD_SOURCE main.cc  message.rc)
ELSE()
  SET(MYSQLD_SOURCE main.cc ${DTRACE_PROBES_ALL})
ENDIF()

IF(MSVC OR CMAKE_SYSTEM_NAME MATCHES AIX)
  SET(libs_to_export_symbols sql mysys dbug strings)
  # Create shared library of already compiled object
  # Export all symbols from selected libraries, to be used
  # by plugins
  IF(MSVC)
    SET(VERSIONINFO_RC ${PROJECT_BINARY_DIR}/versioninfo_dll.rc)
  ELSE()
    SET(VERSIONINFO_RC)
  ENDIF()
  ADD_LIBRARY(server SHARED
    $<TARGET_OBJECTS:sql>
    $<TARGET_OBJECTS:mysys>
    $<TARGET_OBJECTS:dbug>
    $<TARGET_OBJECTS:strings>
    ${VERSIONINFO_RC}
  )

  # We need to add all dependencies of sql/mysys/dbug/strings
  # to link the shared library
  SET(all_deps)
  FOREACH(lib ${libs_to_export_symbols})
    GET_TARGET_PROPERTY(deps ${lib} LINK_LIBRARIES)
    IF(deps)
      LIST(APPEND all_deps ${deps})
    ENDIF()
  ENDFOREACH()
  LIST(REMOVE_DUPLICATES all_deps)
  FOREACH(lib ${libs_to_export_symbols})
    LIST(REMOVE_ITEM all_deps ${lib})
  ENDFOREACH()

  TARGET_LINK_LIBRARIES(server PRIVATE
   ${all_deps}
   sql_builtins
  )
  IF(MSVC)
    TARGET_LINK_LIBRARIES(server PRIVATE icuuc icuin)
    IF(NOT WITHOUT_DYNAMIC_PLUGINS)
     SET_TARGET_PROPERTIES(server PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
    ENDIF()
  ELSE()
    SET_TARGET_PROPERTIES(server PROPERTIES AIX_EXPORT_ALL_SYMBOLS TRUE)
  ENDIF()
  MYSQL_INSTALL_TARGETS(server DESTINATION  ${INSTALL_BINDIR} COMPONENT Server)

=== debian/changelog ===
mariadb (1:12.1.1+maria~ubu2204) jammy; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Mon, 04 Aug 2025 19:27:18 +0000

## mariadb 12.1.1+maria~ubu2404

=== debian/changelog ===
mariadb (1:12.1.1+maria~ubu2404) noble; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Mon, 04 Aug 2025 19:27:12 +0000

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 # Include all defaults, including buildflags.mk
 include /usr/share/dpkg/default.mk
+# Include package notes in built executables
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 # CPPFLAGS are nor read by CMake, so copy them to CXXFLAGS
 # See why at https://cmake.org/Bug/view.php?id=12928
@@ -97,6 +99,7 @@
 	    -DCONC_DEFAULT_CHARSET=utf8mb4 \
 	    -DPLUGIN_AWS_KEY_MANAGEMENT=NO \
 	    -DIGNORE_AIO_CHECK=ON \
+	    -DWITH_URING=ON \
 	    -DWITH_LIBAIO=ON \
 	    -DDEB=$(DEB_VENDOR)
 
@@ -176,6 +179,3 @@
 	ln -s libmariadb.so.3 $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/libmysqlclient.so.19
 	ln -s libmariadb.so.3 $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/libmysqlclient.so.20
 
-	# Install libmariadbclient.a compatibility link
-	ln -s libmariadb.a $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/libmariadbclient.a
-

## mariadb 12.1.1+maria~ubu2410

=== unittest/mytap/CMakeLists.txt ===
# Copyright (c) 2007 MySQL AB, 2010 Oracle and/or its affiliates. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1335  USA

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include)
ADD_LIBRARY(mytap tap.c)
TARGET_INCLUDE_DIRECTORIES(mytap PUBLIC ${CMAKE_SOURCE_DIR}/unittest/mytap)

=== storage/columnstore/columnstore/oamapps/postConfigure/CMakeLists.txt ===
include_directories(${ENGINE_COMMON_INCLUDES})

# ########## next target ###############

set(mycnfUpgrade_SRCS mycnfUpgrade.cpp)

columnstore_executable(mycnfUpgrade ${mycnfUpgrade_SRCS})

columnstore_link(mycnfUpgrade ${ENGINE_LDFLAGS} ${ENGINE_READLINE_LIBRARY} ncurses ${ENGINE_EXEC_LIBS})

=== storage/columnstore/columnstore/primitives/linux-port/CMakeLists.txt ===
include_directories(${ENGINE_COMMON_INCLUDES} ../blockcache ../primproc)

# ########## next target ###############

set(processor_STAT_SRCS primitiveprocessor.cpp dictionary.cpp column.cpp)

columnstore_static_library(processor ${processor_STAT_SRCS})
columnstore_link(processor loggingcpp)

=== storage/columnstore/columnstore/utils/rowgroup/CMakeLists.txt ===
include_directories(${ENGINE_COMMON_INCLUDES})

# ########## next target ###############

set(rowgroup_LIB_SRCS rowaggregation.cpp rowgroup.cpp rowstorage.cpp)

columnstore_library(rowgroup ${rowgroup_LIB_SRCS})
columnstore_link(rowgroup PRIVATE funcexp loggingcpp compress)
add_dependencies(rowgroup external_boost)

=== debian/changelog ===
mariadb (1:12.1.1+maria~ubu2410) oracular; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Mon, 04 Aug 2025 22:02:26 +0000

## mariadb 12.1.1+maria~ubu2504

=== debian/changelog ===
mariadb (1:12.1.1+maria~ubu2504) plucky; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Tue, 05 Aug 2025 00:26:57 +0000

## mariadb 12.1.2+maria~deb11

=== debian/changelog ===
mariadb (1:12.1.2+maria~deb11) bullseye; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Thu, 13 Nov 2025 17:26:44 +0000

## mariadb 12.1.2+maria~deb12

=== debian/changelog ===
mariadb (1:12.1.2+maria~deb12) bookworm; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Thu, 13 Nov 2025 17:15:22 +0000

## mariadb 12.1.2+maria~deb13

=== debian/changelog ===
mariadb (1:12.1.2+maria~deb13) trixie; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Thu, 13 Nov 2025 17:26:53 +0000

## mariadb 12.1.2+maria~debsid

=== debian/changelog ===
mariadb (1:12.1.2+maria~debsid) sid; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Thu, 13 Nov 2025 17:27:00 +0000

## mariadb 12.1.2+maria~ubu2204

=== debian/changelog ===
mariadb (1:12.1.2+maria~ubu2204) jammy; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Thu, 13 Nov 2025 17:43:09 +0000

## mariadb 12.1.2+maria~ubu2404

=== debian/changelog ===
mariadb (1:12.1.2+maria~ubu2404) noble; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Thu, 13 Nov 2025 19:28:14 +0000

## mariadb 12.1.2+maria~ubu2504

=== debian/changelog ===
mariadb (1:12.1.2+maria~ubu2504) plucky; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Thu, 13 Nov 2025 17:27:37 +0000

## mariadb 12.1.2+maria~ubu2510

=== debian/changelog ===
mariadb (1:12.1.2+maria~ubu2510) questing; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Thu, 13 Nov 2025 19:52:28 +0000

## mariadb 12.2.0+maria~deb11

=== debian/changelog ===
mariadb (1:12.2.0+maria~deb11) bullseye; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Thu, 09 Oct 2025 14:25:30 -0400

mariadb (1:12.2.0) unstable; urgency=medium

  * Initial Release

 -- Sergei Golubchik <serg@mariadb.org> Mon Aug  4 21:26:56 CEST 2025

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
                libcurl4-openssl-dev | libcurl4-dev,
                libedit-dev,
                libedit-dev:native,
+               libfmt-dev (>= 7.0.0),
                libjemalloc-dev [linux-any],
                libjudy-dev,
                libkrb5-dev,
@@ -38,6 +39,7 @@
                libssl-dev,
                libssl-dev:native,
                libsystemd-dev [linux-any],
+               liburing-dev [linux-any],
                libxml2-dev,
                libzstd-dev (>= 1.1.3),
                lsb-release,
@@ -319,6 +321,3 @@
         mariadb-server-core-10.7,
         mariadb-server-core-10.8,
         mysql-cluster-community-client-plugins,
-        mysql-server-core-5.5,
-        mysql-server-core-5.6,
-        mysql-server-core-5.7,

## mariadb 12.2.0+maria~deb12

=== debian/changelog ===
mariadb (1:12.2.0+maria~deb12) bookworm; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Thu, 09 Oct 2025 12:52:20 -0400

## mariadb 12.2.0+maria~ubu2004

=== debian/changelog ===
mariadb (1:12.2.0+maria~ubu2004) focal; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Thu, 09 Oct 2025 18:40:50 +0000

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
                libcurl4-openssl-dev | libcurl4-dev,
                libedit-dev,
                libedit-dev:native,
-               libfmt-dev (>= 7.0.0),
                libjemalloc-dev [linux-any],
                libjudy-dev,
                libkrb5-dev,
@@ -39,7 +38,6 @@
                libssl-dev,
                libssl-dev:native,
                libsystemd-dev [linux-any],
-               liburing-dev [linux-any],
                libxml2-dev,
                libzstd-dev (>= 1.1.3),
                lsb-release,
@@ -321,3 +319,6 @@
         mariadb-server-core-10.7,
         mariadb-server-core-10.8,
         mysql-cluster-community-client-plugins,
+        mysql-server-core-5.5,
+        mysql-server-core-5.6,
+        mysql-server-core-5.7,

## mariadb 12.2.0+maria~ubu2404

=== debian/changelog ===
mariadb (1:12.2.0+maria~ubu2404) noble; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Thu, 09 Oct 2025 16:51:09 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                debhelper (>= 11),
                default-jdk,
                dh-exec,
+               dh-package-notes,
                flex [amd64 arm64],
                gdb <!nocheck>,
                libaio-dev [linux-any],
@@ -24,6 +25,7 @@
                libcurl4-openssl-dev | libcurl4-dev,
                libedit-dev,
                libedit-dev:native,
+               libfmt-dev (>= 7.0.0),
                libjemalloc-dev [linux-any],
                libjudy-dev,
                libkrb5-dev,
@@ -38,6 +40,7 @@
                libssl-dev,
                libssl-dev:native,
                libsystemd-dev [linux-any],
+               liburing-dev [linux-any],
                libxml2-dev,
                libzstd-dev (>= 1.1.3),
                lsb-release,
@@ -318,7 +321,3 @@
         mariadb-server-core-10.6,
         mariadb-server-core-10.7,
         mariadb-server-core-10.8,
-        mysql-cluster-community-client-plugins,
-        mysql-server-core-5.5,
-        mysql-server-core-5.6,
-        mysql-server-core-5.7,

## mariadb 12.2.1+maria~deb11

=== debian/changelog ===
mariadb (1:12.2.1+maria~deb11) bullseye; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Tue, 18 Nov 2025 21:57:41 +0000

## mariadb 12.2.1+maria~deb12

=== debian/changelog ===
mariadb (1:12.2.1+maria~deb12) bookworm; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Tue, 18 Nov 2025 22:06:49 +0000

## mariadb 12.2.1+maria~deb13

=== debian/changelog ===
mariadb (1:12.2.1+maria~deb13) trixie; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Tue, 18 Nov 2025 22:54:22 +0000

## mariadb 12.2.1+maria~debsid

=== debian/changelog ===
mariadb (1:12.2.1+maria~debsid) sid; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Wed, 19 Nov 2025 02:02:48 +0000

## mariadb 12.2.1+maria~ubu2204

=== debian/changelog ===
mariadb (1:12.2.1+maria~ubu2204) jammy; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Wed, 19 Nov 2025 02:08:09 +0000

## mariadb 12.2.1+maria~ubu2404

=== debian/changelog ===
mariadb (1:12.2.1+maria~ubu2404) noble; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Tue, 18 Nov 2025 23:34:07 +0000

## mariadb 12.2.1+maria~ubu2504

=== debian/changelog ===
mariadb (1:12.2.1+maria~ubu2504) plucky; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Tue, 18 Nov 2025 22:20:38 +0000

## mariadb 12.2.1+maria~ubu2510

=== debian/changelog ===
mariadb (1:12.2.1+maria~ubu2510) questing; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Tue, 18 Nov 2025 22:19:02 +0000
